Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.event
Class DefaultEventDispatcher

    java.lang.Object
      net.sourceforge.pebble.api.event.EventDispatcher
          net.sourceforge.pebble.event.DefaultEventDispatcher

    public class DefaultEventDispatcher

extends EventDispatcher

Responsible for dispatching events to registered listeners, which are called in the order they were added.

Author:
  Simon Brown

Constructor Summary
`DefaultEventDispatcher()`

Method Summary
`void` | `fireBlogEntryEvent(BlogEntryEvent event)` Fires a blog entry event to registered listeners.
`void` | `fireBlogEvent(BlogEvent event)` Fires a blog event to registered listeners.
`void` | `fireCommentEvent(CommentEvent event)` Fires a comment event to registered listeners.
`void` | `fireTrackBackEvent(TrackBackEvent event)` Fires a TrackBack event to registered listeners.

Methods inherited from class net.sourceforge.pebble.api.event.EventDispatcher
`fireEvents, getEventListenerList, setEventListenerList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEventDispatcher

    public DefaultEventDispatcher()

Method Detail

### fireBlogEvent

    public void fireBlogEvent(BlogEvent event)

  Fires a blog event to registered listeners.

  Specified by:
    `fireBlogEvent` in class `EventDispatcher`
  Parameters:
    `event` - the BlogEvent instance

### fireBlogEntryEvent

    public void fireBlogEntryEvent(BlogEntryEvent event)

  Fires a blog entry event to registered listeners.

  Specified by:
    `fireBlogEntryEvent` in class `EventDispatcher`
  Parameters:
    `event` - the BlogEntryEvent instance

### fireCommentEvent

    public void fireCommentEvent(CommentEvent event)

  Fires a comment event to registered listeners.

  Specified by:
    `fireCommentEvent` in class `EventDispatcher`
  Parameters:
    `event` - the CommentEvent instance

### fireTrackBackEvent

    public void fireTrackBackEvent(TrackBackEvent event)

  Fires a TrackBack event to registered listeners.

  Specified by:
    `fireTrackBackEvent` in class `EventDispatcher`
  Parameters:
    `event` - the TrackBackEvent instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.